Name: H5Sset_extent_none
Signature:
  herr_t `H5Sset_extent_none`(hid_t `space_id`)
Purpose:
  Removes the extent from a dataspace.
Description:
  `H5Sset_extent_none` removes the extent from a dataspace and sets the type to `H5S_NO_CLASS`.
Parameters:

hid_t `space_id` | The identifier for the dataspace from which the extent is to be removed.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5sset_extent_none_f

      SUBROUTINE h5sset_extent_none_f(space_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id  ! Dataspace identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5sset_extent_none_f